package client

import (
	csc "git.loafle.net/commons_go/server/client"
)

func NewSocketBuilder(address string, socketHandler csc.SocketHandler) csc.SocketBuilder {
	sb := &SocketBuilders{}
	sb.Network = "tcp"
	sb.Address = address
	sb.SocketHandler = socketHandler
	return sb
}

type SocketBuilders struct {
	csc.SocketBuilders
}
