package client

import (
	"net"

	csc "git.loafle.net/commons_go/server/client"
)

type SocketHandlers struct {
	csc.SocketHandlers
}

func (sh *SocketHandlers) OnConnect(socketContext csc.SocketContext, conn net.Conn) {
	sh.SocketHandlers.OnConnect(socketContext, conn)
}

func (sh *SocketHandlers) OnDisconnect(soc csc.Socket) {

	sh.SocketHandlers.OnDisconnect(soc)
}

func (sh *SocketHandlers) Validate() {
	sh.SocketHandlers.Validate()
}

func newSocketHandler() csc.SocketHandler {
	return &SocketHandlers{}
}
