package server

import (
	crpj "git.loafle.net/commons_go/rpc/protocol/json"
	crr "git.loafle.net/commons_go/rpc/registry"
	"git.loafle.net/commons_go/rpc/server"
)

func NewRPCServletHandler(rpcInvoker crr.RPCInvoker) server.ServletHandler {
	sh := &RPCServletHandlers{}
	sh.RPCInvoker = rpcInvoker
	sh.RegisterCodec(crpj.Name, crpj.NewServerCodec())

	return sh
}

type RPCServletHandlers struct {
	server.ServletHandlers
}

func (sh *RPCServletHandlers) Validate() {
	sh.ServletHandlers.Validate()

}
